Update a fact-find block Run in API Explorer
Ask AI
PUT
/api/v2/fact-find/blocks/{factFindBlock_uuid}
curl \
--request PUT 'https://api.plannrcrm.com/api/v2/fact-find/blocks/6ff8f7f6-1eb3-3525-be4a-3932c805afed' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "Content-Type: application/json" \
--header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}" \
--data '{
"name": "Income Details",
"introduction_html": "<p>Please provide your income details below.</p>",
"position": 1
}'
Request examples
# Headers
X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}
# Payload
{
"name": "Income Details",
"introduction_html": "<p>Please provide your income details below.</p>",
"position": 1
}
Response examples (200)
{
"uuid": "efffc976-aee2-4b4f-a90a-6bc49c7a8043",
"created_at": "2026-11-20T11:56:03+00:00",
"updated_at": "2026-11-20T11:56:03+00:00",
"fact_find_section": {
"uuid": "3caba414-6f62-4424-8716-389b60128711",
"created_at": "2026-11-20T11:56:03+00:00",
"updated_at": "2026-11-20T11:56:03+00:00",
"fact_find_template": {
"uuid": "02bbe55c-a787-4dc9-a158-4e11a0c38bda",
"created_at": "2026-11-20T11:56:09+00:00",
"updated_at": "2026-11-20T11:56:09+00:00",
"name": "My Fact-Find Template",
"display_name": "Welcome Pack",
"description": "A comprehensive fact-find template for new clients.",
"opening_statement": "Welcome to our fact-find process...",
"closing_statement": "Thank you for completing the fact find",
"is_published": true,
"archived_at": "2026-11-19T11:56:09+00:00",
"is_archived": false,
"is_locked": false,
"active_session_count": 0
},
"name": "Personal Details",
"introduction_html": "<p>Please provide your personal details below.</p>",
"position": 1,
"is_complete": false,
"blocks": {
"uuid": "e90d9ed2-2ba7-435e-890c-e5b47e7806d4",
"created_at": "2026-11-20T11:56:09+00:00",
"updated_at": "2026-11-20T11:56:09+00:00",
"name": "Income Details",
"introduction_html": "<p>Please provide your income details below.</p>",
"position": 1
}
},
"name": "Income Details",
"introduction_html": "<p>Please provide your income details below.</p>",
"position": 1
}
Response examples (422)
{
"message": "The given data was invalid.",
"errors": {
"field": [
"The field is invalid."
]
}
}